netsnmp_agent_request_info_s(3)

NAME
netsnmp_agent_request_info_s - The agent transaction request structure.

SYNOPSIS

#include <snmp_agent.h>

  Data Fields
int mode
int next_mode_ok
only valid for baby step modes
int next_mode_fail
not used yet (for 5.2)
netsnmp_agent_session_s * asp
pdu contains authinfo, eg
netsnmp_data_list * agent_data

Detailed Description

The agent transaction request structure.

Examples:

delayed_instance.c.

Definition at line 160 of file snmp_agent.h.

Field Documentation

  struct netsnmp_agent_session_s* netsnmp_agent_request_info_s::asp

pdu contains authinfo, eg Definition at line 167 of file snmp_agent.h.

Referenced by netsnmp_create_delegated_cache(), and netsnmp_old_api_helper().

  int netsnmp_agent_request_info_s::next_mode_fail

not used yet (for 5.2) Definition at line 165 of file snmp_agent.h.

  int netsnmp_agent_request_info_s::next_mode_ok

only valid for baby step modes Definition at line 163 of file snmp_agent.h.

Referenced by netsnmp_baby_steps_helper().

Author

Generated automatically by Doxygen for net-snmp from the source code.